#include<bits/stdc++.h>
using namespace std;
int t, br;
long long n, proizvod;
int niz[10000000];
map<int,int> mapa;
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cin >> t;
    for(int i = 1; i <= t; i++){
        cin >> n;
        memset(niz, 0, sizeof(niz));
        br = 0;

        for(int i = 1; i <= n; i++){
            niz[i]++;

        }
        for(int i = 1; i <= n; i++){
            if(niz[i] > 0){
               br++;
            }
        }
        cout << br << endl;
        /*d = 10;
        proizvod = 1;
        for(int i = 2; i <= n; i++){
            d *= 10;
            pom = i%d;
            proizvod *= pom;
            niz[proizvod]++;
        }
    }*/
    }
    return 0;
}